using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using Components.Agenda;

namespace Components.Agenda.GUI
{
    /// <summary>
    /// Apporte un affichage d'une structure MeetingInfo
    /// </summary>
    public partial class MeetingInfoBox : UserControl
    {
        #region Constructeur
        /// <summary>
        /// Constructeur
        /// </summary>
        public MeetingInfoBox()
        {
            InitializeComponent();
        }
        #endregion

        #region Accesseurs
        /// <summary>
        /// Initialise les informations  afficher
        /// </summary>
        [Browsable(false)]
        public MeetingInfo MeetingInfo
        {
            set
            {
                lbl_Starting.Text = "Start: " + value.Start.ToString();
                lbl_Ending.Text = "End: " + value.End.ToString();
            }
        }
        #endregion
    }



}
