using System;
using System.Collections.Generic;
using System.Text;
using Components.Agenda.Management.StructsEnums;

namespace Components.Agenda.Management
{
    /// <summary>
    /// Informations d'une case du MonthAgenda
    /// </summary>
    /// <remarks>Utilisation de la classe comme une enum avec contstructeur par dfaut</remarks>
    public class MonthRectangleInfo : RectangleInfo
    {
        /// <summary>
        /// Constructeur
        /// </summary>
        public MonthRectangleInfo() : base() { DayNumber = ""; }
        /// <summary>
        /// Case avant aprs ou dans le mois courrant
        /// </summary>
        public CasePositionInMonth Position;
        /// <summary>
        /// Numro du jour  afficher
        /// </summary>
        public string DayNumber;
    }
}
