using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace Components.Misc
{
    /// <summary>
    /// TextBox avec titre
    /// </summary>
    public partial class TitledTextBox : UserControl
    {
        #region Constructeur
        /// <summary>
        /// Constructeur
        /// </summary>
        public TitledTextBox()
        {
            InitializeComponent();
        }
        #endregion

        #region Accesseurs
        /// <summary>
        /// Retourne ou initialise le titre de la TitlesTextBox
        /// </summary>
        [Category("Options")]
        [Description("Initialise le titre de la TitlesTextBox")]
        public string Title
        {
            get { return lbl_Title.Text; }
            set { lbl_Title.Text = value; }
        }

        /// <summary>
        /// Retourne ou initialise le texte de la TitledBox
        /// </summary>
        [Category("Options")]
        [Description("Initialise le texte de la TitledTextBox")]
        public new string Text
        {
            get { return tb_Contenu.Text; }
            set { tb_Contenu.Text = value; }
        }
        #endregion
    }
}
