using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace PhoenixDLL.GUI
{
    public partial class fr_FullScreenPicture : Form
    {
        #region Constructeur
        /// <summary>
        /// Constructeur
        /// </summary>
        public fr_FullScreenPicture()
        {
            InitializeComponent();
        }
        #endregion

        #region Accesseurs
        /// <summary>
        /// Retourne ou initialise l'image  afficher
        /// </summary>
        public Image Image
        {
            get { return pb_Image.Image; }
            set { pb_Image.Image = value; }
        }
        #endregion

        #region Events
        /// <summary>
        /// Double clique sur la PictureBox
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void EventDoubleClick_PictureBox(object sender, EventArgs e)
        {
            this.Close();
        }

        /// <summary>
        /// Double clique sur la Frame
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void EventDoubleClick_Frame(object sender, EventArgs e)
        {
            this.Close();
        }
        #endregion
    }
}