using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using Components.Agenda.Management.StructsEnums;

namespace Components.Agenda.Management
{
    /// <summary>
    /// Informations d'une case du DayAgenda
    /// </summary>
    /// <remarks>Utilisation de la classe comme une enum avec contstructeur par dfaut</remarks>
    public class DayRectangleInfo : RectangleInfo
    {
        /// <summary>
        /// Indique la position de la case dans le rendez-vous
        /// </summary>
        public MeetingPosition Position;
        /// <summary>
        /// Deuxime couleur pour le dgrad
        /// </summary>
        public Color BackColor2;
        /// <summary>
        /// Identifiant du rendez-vous
        /// </summary>
        public int IDMeeting;
    }
}
