using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace Components.Agenda.Management
{
    /// <summary>
    /// Informations d'une case du HourSelector
    /// </summary>
    /// <remarks>Utilisation de la classe comme une enum avec contstructeur par dfaut</remarks>
    public class HourSelectorRectangleInfo : RectangleInfo
    {
        /// <summary>
        /// Constructeur
        /// </summary>
        public HourSelectorRectangleInfo() : base() { BackColor2 = Color.Silver; }
        /// <summary>
        /// Deuxime couleur de fond pour l'alternance de couleur
        /// </summary>
        public Color BackColor2;
    }
}
