using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Components.GUI
{
    /// <summary>
    /// Frame des options du calendrier
    /// </summary>
    public partial class fr_OptionBox : Form
    {
        #region Constructeurs
        /// <summary>
        /// Constructeur
        /// </summary>
        public fr_OptionBox()
        {
            InitializeComponent();
        }
        #endregion

        #region Event
        /// <summary>
        /// Evnement sur un clique sur OK
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void OK_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
            this.Close();
        }

        /// <summary>
        /// Evnement sur un clique sur Annuler
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btn_Cancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
            this.Close();
        }
        #endregion

        #region Variables
        /// <summary>
        /// Object wich will be displayed
        /// </summary>
        public object OptionsObject
        {
            get { return pg_Properties.SelectedObject; }
            set { pg_Properties.SelectedObject = value; }
        }
        #endregion
    }
}