using System;
using System.Collections.Generic;
using System.Text;
using PhoenixDLL.GUI;
using System.Drawing.Design;
using System.Windows.Forms.Design;
using System.Windows.Forms;
using System.Data.OleDb;
using System.Data;
using PhoenixDLL.Class;
using PhoenixDLL.Class.Managers;
using PhoenixDLL.GUI.Seekers;
using PhoenixDLL.GUI.Managers;

namespace PhoenixDLL.Editors
{
    /// <summary>
    /// Editeur de mdecin
    /// </summary>
    class UIDoctorEditor : UITypeEditor
    {
        #region Variables
        protected DoctorManager dm;
        #endregion

        #region Mthodes
        /// <summary>
        /// Cf Doc
        /// </summary>
        /// <param name="context"></param>
        /// <returns></returns>
        public override UITypeEditorEditStyle GetEditStyle(System.ComponentModel.ITypeDescriptorContext context)
        {
            return UITypeEditorEditStyle.Modal;//base.GetEditStyle(context);
        }

        /// <summary>
        /// Cf Doc
        /// </summary>
        /// <param name="context"></param>
        /// <returns></returns>
        public override bool GetPaintValueSupported(System.ComponentModel.ITypeDescriptorContext context)
        {
            return false;
        }

        /// <summary>
        /// Cf Doc
        /// </summary>
        /// <param name="context"></param>
        /// <param name="provider"></param>
        /// <param name="value"></param>
        /// <returns></returns>
        public override object EditValue(System.ComponentModel.ITypeDescriptorContext context,
            IServiceProvider provider, object value)
        {
            if (provider != null)
            {
                IWindowsFormsEditorService editor =
                    (IWindowsFormsEditorService)provider.GetService(typeof(IWindowsFormsEditorService));

                if (editor != null)
                {
                    #region Affichage du menu de choix
                    fr_DoctorSeeker ds = new fr_DoctorSeeker();
                    DialogResult dr = ds.ShowDialog();

                    if (dr == DialogResult.OK)
                    {
                        value = (object)ds.SelectedItem;
                        dm = ds.SelectedItem;
                    }
                    #endregion
                }
            }
            return value;
        }

        /// <summary>
        /// Surcharge la mthode de convertion en string
        /// </summary>
        /// <returns>Le nom de mdecin sekectionn</returns>
        public override string ToString()
        {
            //return base.ToString();
            return this.dm.Prenom + " " + this.dm.Nom.ToString();
        }
        #endregion
    }
}
