using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing.Design;
using PhoenixDLL.Class.Managers;
using PhoenixDLL.GUI.Managers;
using System.Windows.Forms.Design;
using System.Windows.Forms;
using PhoenixDLL.GUI.Seekers;

namespace PhoenixDLL.Editors
{
    class UIDrugsTypeEditor : UITypeEditor
    {
        #region Variables
        private DrugsTypeManager vDrugsType = new DrugsTypeManager();
        #endregion

        #region Mthodes
        /// <summary>
        /// Cf Doc
        /// </summary>
        /// <param name="context"></param>
        /// <returns></returns>
        public override UITypeEditorEditStyle GetEditStyle(System.ComponentModel.ITypeDescriptorContext context)
        {
            return UITypeEditorEditStyle.Modal;//base.GetEditStyle(context);
        }

        /// <summary>
        /// Cf Doc
        /// </summary>
        /// <param name="context"></param>
        /// <returns></returns>
        public override bool GetPaintValueSupported(System.ComponentModel.ITypeDescriptorContext context)
        {
            return false;
        }

        /// <summary>
        /// Cf Doc
        /// </summary>
        /// <param name="context"></param>
        /// <param name="provider"></param>
        /// <param name="value"></param>
        /// <returns></returns>
        public override object EditValue(System.ComponentModel.ITypeDescriptorContext context,
            IServiceProvider provider, object value)
        {
            if (provider != null)
            {
                IWindowsFormsEditorService editor =
                    (IWindowsFormsEditorService)provider.GetService(typeof(IWindowsFormsEditorService));

                if (editor != null)
                {
                    #region Affichage du menu de choix
                    fr_DrugsTypeSeeker rs = new fr_DrugsTypeSeeker();
                    DialogResult dr = rs.ShowDialog();

                    if (dr == DialogResult.OK)
                    {
                        value = (object)rs.SelectedItem;
                        vDrugsType = rs.SelectedItem;
                    }
                    #endregion
                }
            }
            return value;
        }
        #endregion

        #region Overriden
        /// <summary>
        /// Donne le nom de la rputation
        /// </summary>
        /// <returns></returns>
        public override string ToString()
        {
            return vDrugsType.Type;
        }
        #endregion
    }

}
