using System;
using System.Collections.Generic;
using System.Text;
using PhoenixDLL.GUI.Seekers;
using PhoenixDLL.Class.Managers;
using System.Drawing.Design;
using System.Windows.Forms.Design;
using System.Windows.Forms;

namespace PhoenixDLL.Editors
{
    class UIPatientEditor : UITypeEditor
    {
        #region Variables
        protected PatientManager dm;
        #endregion

        #region Mthodes
        /// <summary>
        /// Cf Doc
        /// </summary>
        /// <param name="context"></param>
        /// <returns></returns>
        public override UITypeEditorEditStyle GetEditStyle(System.ComponentModel.ITypeDescriptorContext context)
        {
            return UITypeEditorEditStyle.Modal;//base.GetEditStyle(context);
        }

        /// <summary>
        /// Cf Doc
        /// </summary>
        /// <param name="context"></param>
        /// <returns></returns>
        public override bool GetPaintValueSupported(System.ComponentModel.ITypeDescriptorContext context)
        {
            return false;
        }

        /// <summary>
        /// Cf Doc
        /// </summary>
        /// <param name="context"></param>
        /// <param name="provider"></param>
        /// <param name="value"></param>
        /// <returns></returns>
        public override object EditValue(System.ComponentModel.ITypeDescriptorContext context,
            IServiceProvider provider, object value)
        {
            if (provider != null)
            {
                IWindowsFormsEditorService editor =
                    (IWindowsFormsEditorService)provider.GetService(typeof(IWindowsFormsEditorService));

                if (editor != null)
                {
                    #region Affichage du menu de choix
                    fr_PatientSeeker ds = new fr_PatientSeeker();
                    DialogResult dr = ds.ShowDialog();

                    if (dr == DialogResult.OK)
                    {
                        value = (object)ds.SelectedItem;
                        dm = ds.SelectedItem;
                    }
                    #endregion
                }
            }
            return value;
        }

        /// <summary>
        /// Surcharge la mthode de convertion en string
        /// </summary>
        /// <returns>Le nom de mdecin sekectionn</returns>
        public override string ToString() { return this.dm.Surname + " " + dm.FamillyName; }
        #endregion
    }
}
