using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace PhoenixPics
{
    public partial class fr_Remarks : Form
    {
        #region Constructeur
        /// <summary>
        /// Constructeur
        /// </summary>
        public fr_Remarks()
        {
            InitializeComponent();
        }
        #endregion

        #region Accesseurs
        /// <summary>
        /// Retourne ou initialise l'image  afficher dans la PictureBox
        /// </summary>
        public Image Image { get { return pb_Thumb.Image; } set { pb_Thumb.Image = value; } }

        /// <summary>
        /// Retourne ou initialise le texte sur cette image
        /// </summary>
        public string Remark { get { return tb_Remark.Text; } set { tb_Remark.Text = value; } }
        #endregion

        #region Event
        /// <summary>
        /// Clique sur un bouton
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btn_OK_Click(object sender, EventArgs e)
        {
            this.Visible = false;
            base.DialogResult = DialogResult.OK;            
            this.Close();
        }
        #endregion
    }
}