using System;
using System.Collections.Generic;
using System.Text;

namespace Utils.Misc
{
    /// <summary>
    /// Classe qui donne les rpertoires de l'application courrante
    /// </summary>
    public static class ApplicationPath
    {
        /// <summary>
        /// Donne la ligne de commande du programme en cours
        /// </summary>
        public static string CommandLine { get { return Environment.CommandLine; } }

        /// <summary>
        /// Donne le path d'excution du programme en cours et NE se termine PAS par \
        /// </summary>
        public static string CommandPath
        {
            get
            {
                string Path = CommandLine;
                Path = Path.Remove(Path.LastIndexOf("\\"));
                Path = Path.Trim('\"');
                return Path;
            }
        }
    }
}
