using System;
using System.Collections.Generic;
using System.Text;

namespace Utils.Misc
{
    /// <summary>
    /// Classe contenant diffrents algorithme de tri
    /// </summary>
    public static class Sort
    {
        /// <summary>
        /// Tri Bulle
        /// </summary>
        /// <typeparam name="T">lment  trier</typeparam>
        /// <param name="array">Liste d'lment  trier</param>
        public static void BubbleSort<T>(IList<T> array) where T : IComparable<T>
        {
            int i, j;
            T temp;

            for (i = array.Count - 1; i > 0; i--)
            {
                for (j = 0; j < i; j++)
                {
                    if (array[j].CompareTo(array[j + 1]) > 0)
                    {
                        temp = array[j];
                        array[j] = array[j + 1];
                        array[j + 1] = temp;
                    }
                }
            }
        }
    }
}
